<html>
<head>
<title>Jehiah Czebotar Photos</title>
<script language="JavaScript" type="text/javascript" src="/pphlogger.js"></script>
<style>
body{
margin:0;
padding:0;
background-color: #808040;
font-size:11pt;
font-family:Geneva,Arial;
}
h1{border-bottom:1px dashed #000000;font-size:12pt; text-align:left;font-size:12pt;font-family:Verdana;}
h1 a{color:#cccccc;}

.block{
border-left:5px solid #000000;
margin:5px 0 5px 0;
padding-left:5px;
}

#year{height:25px;vertical-align:middle;}
#year a {padding:0 5px 0 0;color:#cccccc; font-weight:bold;text-decoration:none;}

#year a.sel {color:#000000;}
#year a.arc {color:yellow;}


#month{height:25px;}
#month a {padding:0 5px 0 0;color:#cccccc; font-weight:bold;text-decoration:none;}

#month a.sel {color:#000000;}
#month a.arc {color:yellow;}

#day{height:25px;}
#day a {padding:0 5px 0 0;color:cccccc;font-weight:bold;text-decoration:none;}
#day a:visited{color:#66cccc;}

#day a.sel {color:#000000;}
#dat a.arc {color:yellow;}

#thumb{height:35px;text-align:left;width:2000;}
#thumb img{margin:0 0 0 4px;border:2px solid #ffffff;}

#preview{height:325px;overflow:hidden;width:2000;}
#preview img{margin:0 0 0 5px;border:7px solid #ffffff;}

#history{height:35px;vertical-align:middle;width:2000}
#history img{margin:0 0 0 4px;border:2px solid #ffffff;}
</style>

<script language="javascript">
var pw=null;

// function to pop up a window with the 800x600 version
function enlarge( uri_id ){
if(pw!=null&&!pw.closed){
pw.location.href="./image.html?"+i_array[uri_id];
}else{
pw = window.open( "./image.html?"+i_array[uri_id] , "picWin" , "width=825,height=685,toolbar=no,location=no,directories=no,status=no,menubar=no\
,scrollbars=no,noresize" );
void(0);
}
}

function getMonthString(month)
{

switch(month){
	case '01':
	return "Jan";
	case '02':
	return "Feb";
	case '03':
	return "Mar";
	case '04':
	return "Apr";
	case '05':
	return "May";
	case '06':
	return "Jun";
	case '07':
	return "Jul";
	case '08':
	return "Aug";
	case '09':
	return "Sep";
	case '10':
	return "Oct";
	case "11":
	return "Nov";
	case "12":
	return "Dec";
	default:
	return "default";
	}
	return month;
}

function loadpage()
{
	// sort array - before sort is is in order by filesys order
	i_array.sort();

	// cur_year = load year
	var cur_year = loadyears();
	mark("year","y_"+cur_year);

	var cur_month = loadmonths(cur_year);
	// mark the current month as active
	mark("month","m_"+cur_month);	

	// load days
	var cur_day =  loaddays(cur_month,cur_year);
	// mark the current day as active
	mark("day","d_"+cur_day);

	// load thumbs
	loadthumbs(cur_month+"-"+cur_day+"-"+cur_year);
}


function loadyears()
{
	var yearlist = new Array();
	var flag = false;
	var x = cleardiv("year");

	var i=0;
	// loop through all the images
	for (i=0;i<count;i++)
	{
		// split the filename into parts for each date
		var this_file = i_array[i].split(/[-_]/);
		//$0 = month
		//$1 = day
		//$2 = year

			flag = false;
			// loop through the current years in our list and see if it is there
			for (var z=0;z < yearlist.length && flag != true;z++)
			{	if ( yearlist[z] == this_file[2])
					flag=true;}
			// if it isn't there add it [ie not a dupe]
			if (flag == false){
				yearlist[yearlist.length] = this_file[2];		
			}
	}	

	if (x == null)
	alert ("x is null");

	// create the links from yearlist
	for(var j=0;j<yearlist.length;j++)
	{
		a = x.appendChild(document.createElement("a"));
		a.href="javascript:var a_n = loadmonths(\""+yearlist[j]+"\");mark(\"year\",\"y_"+yearlist[j]+"\");";
		a.id="y_"+yearlist[j];
		a.innerHTML ="20"+yearlist[j];
	}

	return yearlist[yearlist.length-1];

}


function loadmonths(year)
{
	var monthlist = new Array();
	var flag = false;
	var x = cleardiv("month");

	var i=0;
	// loop through all the images
	for (i=0;i<count;i++)
	{
		// split the filename into parts for each date
		var this_file = i_array[i].split(/[-_]/);
		//$0 = month
		//$1 = day
		//$2 = rest

		// if this date is even in the proper year
		if (this_file[2] == year)
		{
			flag = false;
			// loop through the current months in our list and see if it is there
			for (var z=0;z < monthlist.length && flag != true;z++)
			{	if ( monthlist[z] == this_file[0])
					flag=true;}
			// if it isn't there add it [ie not a dupe]
			if (flag == false){
				monthlist[monthlist.length] = this_file[0];		
			}
		}		
	}	

	if (x == null)
	alert ("x is null");

	// create the links from monthlist
	for(var j=0;j<monthlist.length;j++)
	{
		a = x.appendChild(document.createElement("a"));
		a.href="javascript:var a_n = loaddays(\""+monthlist[j]+"\",\""+year+"\");mark(\"month\",\"m_"+monthlist[j]+"\");";
		a.id="m_"+monthlist[j];
		a.innerHTML =getMonthString(monthlist[j]);
	}
	return monthlist[monthlist.length-1];
}


// function to mark links as active/visited
function mark(block,id)
{
	var x = document.getElementById(block);
	// change previous sel to arc 
	for (var i=0;i<x.childNodes.length;i++)
	{
		if (x.childNodes[i].className == "sel")
			x.childNodes[i].className = "arc";
	}	
	// set current to sel
	document.getElementById(id).className = "sel";
}

function loaddays(month,year)
{
	var daylist = new Array();
	var flag = false;
	var x = cleardiv("day");

	var i=0;
	for (i=0;i<count;i++)
	{
		var this_file = i_array[i].split(/[-_]/);
		//$0 = month
		//$1 = day
		//$2 = rest

		if (this_file[0] == month && this_file[2] == year)
		{
			flag = false;
			for (var z=0;z < daylist.length && flag != true;z++)
			{	if ( daylist[z] == this_file[1])
					flag=true;}
			if (flag == false){
				daylist[daylist.length] = this_file[1];		
			}
		}		
	}	


	if (x == null)
	alert ("x is null");

	// create the links from daylist
	for(var j=0;j<daylist.length;j++)
	{
		a = x.appendChild(document.createElement("a"));
		a.href="javascript:loadthumbs(\""+month+"-"+daylist[j]+"-"+year+"\");mark(\"day\",\"d_"+daylist[j]+"\");";
		a.id="d_"+daylist[j];
		a.innerHTML =+daylist[j];
		
	}
	// loadthumbs for the last day
	// clearthumbs
	//	loadthumbs(month+"-"+daylist[daylist.length-1]+"-"+year);
	return daylist[daylist.length-1];
}

function cleardiv(div_id)
{
	var x = document.getElementById(div_id);
	if (x != null)
	while (x.childNodes.length >= 1)
		x.removeChild(x.childNodes[x.childNodes.length-1]);
	return x;

}

// loadthumbs("MM-DD-YY")
function loadthumbs(day)
{
	var i=0;
	var x = cleardiv("thumb");

	for (i=0;i < count;i++)
	{
		
		if (i_array[i].indexOf(day) != -1)
		{
			// add to thumb block
			a = x.appendChild(document.createElement('a'));
			a.href="javascript:selectthumb("+i+");";
			img = a.appendChild(document.createElement('img'));
			img.src="thumbs/"+i_array[i];
		}

	}

}

function selectthumb(i)
{

var x = document.getElementById("preview");
var y = document.getElementById("history");

// create preview image
// prefix to preview block
// prefix thumb to history

// clear out more than 4 previews
if (x.childNodes.length >= 4)
	x.removeChild(x.childNodes[x.childNodes.length-1]);

// clear out more than 
if (y.childNodes.length >= 30)
	y.removeChild(y.childNodes[y.childNodes.length-1]);

a = document.createElement('a');
x.insertBefore(a,x.childNodes.length >= 1 ? x.childNodes[0] : null);
a.href="javascript:enlarge("+i+");";
img = a.appendChild(document.createElement('img'));
img.src="images/"+i_array[i];
img.alt=i_array[i].split(".")[0];//cheap trick to take the beginning of the filename
img.title=i_array[i].split(".")[0];

a = document.createElement('a');
y.insertBefore(a,y.childNodes.length >= 1 ? y.childNodes[0] : null);
a.href="javascript:selectthumb("+i+");";
img = a.appendChild(document.createElement('img'));
img.src="thumbs/"+i_array[i];

}
</script>


</head>
<body onload="loadpage();">
<h1 class="block"><a href="/">Jehiah Czebotar</a> Photos</h1>

<script language="javascript">
i_array = new Array();
<?php

$count = "0";
$files = opendir("images");

while(false !== ($thisfile = readdir($files))) {
if ($thisfile !== "." && $thisfile != "..")
{
	echo "i_array[$count]=\"$thisfile\";\n";
	$count++;
}
}

echo "count=$count;\n";
closedir($files);

?>



</script>

<div id="year" class="block">
</div>
<div id="month"  class="block">
</div>
<div id="day" class="block">
</div>
<div id="thumb" class="block">
</div>
<div id="preview" class="block">
</div>
<div id="history" class="block">
</div>


</body>
</html>
